Skip to content
Framework Docs

Query Files

Deprecated
$ llamacloud-prod files query
POST/api/v1/beta/files/query

Query files with flexible filtering and pagination.

Deprecated: Use GET /files instead for listing files with query parameters.

Args: request: The query request with filters and pagination project: Validated project from dependency

Returns: Paginated response with files

ParametersExpand Collapse
--organization-id: optional string

Query param

--project-id: optional string

Query param

--filter: optional object { data_source_id, external_file_id, file_ids, 3 more }

Body param: Filter parameters for file queries.

--order-by: optional string

Body param: A comma-separated list of fields to order by, sorted in ascending order. Use 'field_name desc' to specify descending order.

--page-size: optional number

Body param: The maximum number of items to return. The service may return fewer than this value. If unspecified, a default page size will be used. The maximum value is typically 1000; values above this will be coerced to the maximum.

--page-token: optional string

Body param: A page token, received from a previous list call. Provide this to retrieve the subsequent page.

ReturnsExpand Collapse
FileQueryResponse: object { items, next_page_token, total_size }

Paginated list of files.

items: array of object { id, name, project_id, 5 more }

The list of items.

id: string

Unique file identifier

name: string

File name including extension

project_id: string

Project this file belongs to

expires_at: optional string

When the file expires and may be automatically removed. Null means no expiration.

external_file_id: optional string

Optional ID for correlating with an external system

file_type: optional string

File extension (pdf, docx, png, etc.)

last_modified_at: optional string

When the file was last modified (ISO 8601)

purpose: optional string

How the file will be used: user_data, parse, extract, classify, split, sheet, or agent_app

next_page_token: optional string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

total_size: optional number

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

Query Files

llamacloud-prod files query \
  --api-key 'My API Key'
{
  "items": [
    {
      "id": "dfl-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "name": "invoice.pdf",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "external_file_id": "ext-12345",
      "file_type": "pdf",
      "last_modified_at": "2019-12-27T18:11:19.117Z",
      "purpose": "parse"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "dfl-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "name": "invoice.pdf",
      "project_id": "123e4567-e89b-12d3-a456-426614174000",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "external_file_id": "ext-12345",
      "file_type": "pdf",
      "last_modified_at": "2019-12-27T18:11:19.117Z",
      "purpose": "parse"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}